import 'package:json_annotation/json_annotation.dart';

part 'snow.g.dart';

@JsonSerializable()
class Snow {
  @JsonKey(name: "1h")
  final double oneHour;
  @JsonKey(name: "3h")
  final double threeHour;

  Snow({
    required this.oneHour,
    required this.threeHour,
  });

  /// Connect the generated [_$SnowFromJson] function to the `fromJson`
  /// factory.
  factory Snow.fromJson(Map<String, dynamic> json) => _$SnowFromJson(json);

  /// Connect the generated [_$SnowToJson] function to the `toJson` method.
  Map<String, dynamic> toJson() => _$SnowToJson(this);
}
